<?php
    header("Access-Control-Allow-Origin: *");
    header("Content-Type: application/json; charset=UTF-8");
    header("Access-Control-Allow-Methods: POST");
    header("Access-Control-Max-Age: 3600");
    header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

    include_once '../../config/database.php';
    include_once '../../class/orders.php';
    include_once('../../config/config.php');

    $database = new Database();
    $db = $database->getConnection();   
    $items = new Orders($db);
    $items->OrderID= isset($_GET['OrderID']) ? $_GET['OrderID'] : die();

  
    $stmt = $items->viewOrder();
    $itemCount = $stmt->rowCount();

  

    if($itemCount > 0){
        
        
        
        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
            extract($row);
           
            $OrderDetailsArr = array(
                "ID" =>  $ID,
                "OrderID" => $OrderID,
                "CustomerID" => $CustomerID,
                "Date" => $Date,
                "Total" => $Total,
                "TotalWeight" => $TotalWeight,
                "Confirmed" => $Confirmed,
                "ConfirmedTime" => $ConfirmedTime,
                "Claimed" => $Claimed,
                "ClaimedTime" => $ClaimedTime,
                "Picked" => $Picked,
                "PickedTime" => $PickedTime,
                "Packed" => $Packed,
                "PaymentOption" => $PaymentOption,
                "DeliveryOption" => $DeliveryOption,
                "DeliveryRegion" => $DeliveryRegion,
                "OnDelivery" => $OnDelivery,
                "OnDeliveryTime" => $OnDeliveryTime,
                "Delivered" => $Delivered,
                "DeliveredTime" => $DeliveredTime,
                "Finalised" => $Finalised,
                "FinalisedTime" => $FinalisedTime,
                "Synced" => $Synced,
                "ReturnRequest" => $ReturnRequest,
                "ReturnRequestTime" => $ReturnRequestTime,
                "Returned" => $Returned,
                "ReturnedTime" => $ReturnedTime,
                "Archived" => $Archived,
                "StoreID" => $StoreID,
                          
            );
             
        }
     
     
     
        echo json_encode($OrderDetailsArr);
    }
    else{
        http_response_code(404);
        echo json_encode(
            array("message" => "No record found.")
        );
    }

    
?>
