<?php
    header("Access-Control-Allow-Origin: *");
    header("Content-Type: application/json; charset=UTF-8");
    header("Access-Control-Allow-Methods: POST");
    header("Access-Control-Max-Age: 3600");
    header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");
    
      // Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';


if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}

    include_once '../config/database.php';
    include_once '../class/item.php';

    $database = new Database();
    $db = $database->getConnection();   
    $items = new Item($db);
    $items->DepartmentID= isset($_GET['DepartmentID']) ? $_GET['DepartmentID'] : die();
    
   
    $stmt = $items->getItem();
    $itemCount = $stmt->rowCount();


    if($itemCount > 0){
        
        $itemArr = array();
        
        $total = 0;

       
        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
            extract($row);
            $e = array(
                "ID" =>  $ID,
                "ItemLookupCode" => $ItemLookupCode,
                "Description" => $Description,
                "DepartmentID" => $DepartmentID,
                "CategoryID"=>$CategoryID,
                "SubCategoryID"=>$SubCategoryID,
                "StoreID"=>$StoreID,
                "BinLocation"=>$BinLocation,
                "Price"=>$Price,
                "UnitOfMeasure"=>$UnitOfMeasure,
                "Packs"=>$Packs,
                "PacksUnitofMeasure"=>$PacksUnitofMeasure,
                "Weight"=>$Weight,
                "SupplierID"=>$SupplierID,
                "ExtendedDescription"=>$ExtendedDescription,
                "Image"=>$Image,
            );

           
            array_push($itemArr, $e);
        }
        echo json_encode($itemArr);
    }
    else{
        http_response_code(404);
        echo json_encode(
            array("message" => "No record found.")
        );
    }

    
?>



