<?php
    header("Access-Control-Allow-Origin: *");
    header("Content-Type: application/json; charset=UTF-8");
    header("Access-Control-Allow-Methods: POST");
    header("Access-Control-Max-Age: 3600");
    header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

    include_once '../config/database.php';
    include_once '../class/customerOrders.php';

    $database = new Database();
    $db = $database->getConnection();   
    $items = new CustomerOrders($db);
    $items->CustomerID= isset($_GET['CustomerID']) ? $_GET['CustomerID'] : die();

  
    $stmt = $items->getCustomerOrders();
    $itemCount = $stmt->rowCount();


    if($itemCount > 0){
        
        $employeeArr = array();
        
        $total = 0;

   
        
       
        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
            extract($row);
            $e = array(
                "ID" =>  $ID,
                "CustomerID" => $CustomerID,
                "tdatetime" => $tdatetime,
                "claimed" =>$claimed,
                "claimedTime" => $claimedtime,
                "picked" => $picked,
                "pickedTime" => $pickedtime,
                "delivered" => $delivered,
                "deliveredTime" => $deliveredtime,
                "finalised" => $finalised,
                "finalisedTime" => $finalisedtime,
                "synced" =>$synced,
                "returned"=>$returned,
                "archived"=>$archived,
                "total" => $total,
            );

           
            array_push($employeeArr, $e);
        }
        echo json_encode($employeeArr);
    }
    else{
        http_response_code(404);
        echo json_encode(
            array("message" => "No record found.")
        );
    }

    
?>


