<?php
    header("Access-Control-Allow-Origin: *");
    header("Content-Type: application/json; charset=UTF-8");
    header("Access-Control-Allow-Methods: POST");
    header("Access-Control-Max-Age: 3600");
    header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

    include_once '../config/database.php';
    include_once '../../class/pendingOrders.php';
    include_once('../config/config.php');

    $database = new Database();
    $db = $database->getConnection();   
    $items = new PendingOrders($db);
    
  
    $stmt = $items->getPendingOrders();
    $itemCount = $stmt->rowCount();

  

    if($itemCount > 0){
        
        $PendingOrderArr = array();
        
       

   
    
        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
            extract($row);
           
            $e = array(
                "OrderID" =>$OrderID,
                "OrderDate" =>$Date,
                "Total"=>$Total, 
                "Status"=>$Confirmed
                
                
            );


           
            array_push($PendingOrderArr, $e);
        }
        echo json_encode($PendingOrderArr);
    }
    else{
        http_response_code(404);
        echo json_encode(
            array("message" => "No record found.")
        );
    }

    
?>
