<?php

header("Access-Control-Allow-Origin: *");
header("Content-Type: image/jpg");
header("Access-Control-Allow-Methods: GET");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once('../config/config.php');

  // Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';


if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}

$database = new Database();
$db = $database->getConnection();  

    // Retrieve the BLOB data for the image with the given itemID
    $itemID = $_GET['itemID'];
    $query = "SELECT pic1 FROM itemimages WHERE itemID = :itemID";
    $stmt = $db->prepare($query);
    $stmt->bindParam(':itemID', $itemID, PDO::PARAM_INT);
    $stmt->execute();
    $row = $stmt->fetch(PDO::FETCH_ASSOC);
    $imageData = $row['pic1'];

echo '<img src="data:image/jpg;base64,'. base64_encode($imageData) .'" />';
   
?>
