<?php
    header("Access-Control-Allow-Origin: *");
    header("Content-Type: application/json; charset=UTF-8");
    header("Access-Control-Allow-Methods: POST");
    header("Access-Control-Max-Age: 3600");
    header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

    include_once '../../config/database.php';
    include_once '../../class/orderDetails.php';
    include_once('../../config/config.php');

    $database = new Database();
    $db = $database->getConnection();   
    $items = new CustomerOrdersDetails($db);
    $items->OrderID= isset($_GET['OrderID']) ? $_GET['OrderID'] : die();

  
    $stmt = $items->getCustomerOrdersDetails();
    $itemCount = $stmt->rowCount();


    if($itemCount > 0){
        
        $OrderDetailsArr = array();
        
        $total = 0;

   
        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
            extract($row);
           
            $e = array(
                "ID" =>  $ID,
                "OrderID" => $OrderID,
                "ItemID" => $ItemID,
                "Cost" => $Cost,
                "Price" => $Price,
                "FullPrice" => $FullPrice,
                "Quantity" => $Quantity,
                "Image" => $pic1,
                "name" => $name,
                "nowPrice" => $nowPrice
               
            );

           
            array_push($OrderDetailsArr, $e);
        }
        echo json_encode($OrderDetailsArr);
    }
    else{
        http_response_code(404);
        echo json_encode(
            array("message" => "No record found.")
        );
    }

    
?>
