<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: GET");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");
header("Access-Control-Allow-Credentials: true");

// Connect to the database
include '../config/database3.php';

// Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';

if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Define the condition for your SQL query
$condition = "ID != 1";

// Prepare the SQL query
$sql = "SELECT ID,Description as Name
        FROM inventorylocation
        WHERE $condition";

$stmt = $conn->prepare($sql);
$stmt->execute();
$result = $stmt->get_result();
$branches = $result->fetch_all(MYSQLI_ASSOC);


// Return the API response
echo json_encode($branches);

$conn->close();
?>
